*{
    box-sizing: border-box;
}
  /* For dashboard chart */
.chart-container {
  width: 100%;
  margin-top: 20px;  
}




/* Parent container to center the content vertically and horizontally */
.center-container {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh; /* Full viewport height */
  background-color: #f0f0f0; /* Light background color for the entire viewport */
  padding: 20px; /* Ensure there's padding around the edges on smaller screens */
  box-sizing: border-box;
}

.custom_design_login{   
  margin-top: 20px;   
  margin-bottom: 60px;  
  margin-left: 60px;
  margin-right: 60px; 
  padding: 40px;
  width: 400px;  
  background-color: #d8c69f;   
  border-radius: 10px;
  border-color: rgb(37, 10, 10);
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1); /* Add a subtle shadow */  
}

.custom_design{       
  margin-top: 5px;   
  margin-bottom: 60px;  
  margin-left: 60px;
  margin-right: 60px; 
  padding: 40px;
  font-size: 18px;
  font-weight: bold;
  background-color: #efe9dc;   
  border-radius: 10px;
  border-color: rgb(37, 10, 10);
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1); /* Add a subtle shadow */  
  /* min-height: 100vh;  */
}


.heading h1 {
  font-size: 28px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 1.5em;
  padding-bottom: 15px;
  position: relative;
  color:#813503;
  text-shadow: 1px 1px #ce9f59;
}
 
label {
  padding: 6px 6px 0px 0px; /* Top Right Button Left */
  display: inline-block;
  font-size: 14px;
  font-weight: bold;
  color:#8a6723;
}

ar-span{
  color:rgb(227, 5, 5);
}

.col-25 {
  float: left;
  width: 25%;
  margin-top: 6px;
  padding: 10px;  

}

.col-50 {
  float: left;
  width: 50%;
  margin-top: 6px;
  padding: 10px;
}

.col-75 {
  float: left;
  width: 75%;
  margin-top: 6px;
  padding: 10px;
}

.col-100 {
  float: left;
  width: 100%;
  margin-top: 6px;
  padding: 10px;
}


input[type=text],
input[type=date],
input[type=month],
input[type=number],
input[type=email],
input[type=url],
input[type=password],
input[type=week],
input[type=time],
textarea {
  width: 100%;
  background-color: white;
  box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.20);
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 18px;
  font-weight: none;
  color: #262201;
}

select{
  color:red;
}


input[type=submit],[type=reset],[type=button] {
  background-color: #DCA73A;
  width: 200px; /* Set a fixed width */
  border-radius: 5px;
  color: white;
  padding: 8px 16px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  font-weight: bold;
  margin: 4px 2px;
  -webkit-transition-duration: 0.10s; /* safary */
  transition-duration: 0.2s;
  cursor: pointer;
  box-shadow: 5px 5px 5px #aaaaaa;
  border: 2px solid; /* Sets border width and style */
  border-color: #8a6723; /* Sets border color */
}


input[type=submit]:hover {
  background-color: #977124;
  color: rgb(255, 255, 255);
}

input[type=reset]:hover {
  background-color: #977124;
  color: rgb(255, 255, 255);
}

input[type=button]:hover {
  background-color: #977124;
  color: rgb(255, 255, 255);
}

input:focus {
  background-color: rgb(255, 253, 221);
  color:#4e3a11;
}

textarea:focus{
  background-color: rgb(255, 253, 221);
  color:#4e3a11;
}


.table-responsive {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  background-color: #fff;
  padding: 20px;
  }
table.dataTable {
  width: 100%;
  margin: 0 auto;
  clear: both;
  border-collapse: separate;
  border-spacing: 0;
  }
table.dataTable thead th {
  background-color: #643304;
  /* #062a50; */
  color: white;
  border-bottom: none;
  }
table.dataTable tbody tr {
  border-bottom: 1px solid #ddd;
  }
table.dataTable tbody tr:nth-child(even) {
  background-color: #ffffff;
  }
.dataTables_wrapper .dataTables_paginate .paginate_button {
  padding: 0.5em 1em;
  margin-left: 2px;
  }
.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
  background-color: #007bff; 
  color: white !important;
  }
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  background-color: #0056b3;
  color: white !important;
  }
.dataTables_wrapper .dataTables_filter input {
  border-radius: 5px;
  padding: 5px 10px;
  border: 1px solid #B0641F;
  }






/* Responsive layout - when the screen is less than 600px wide, make the one columns stack on top of each other instead of next to each other */

@media only screen and (max-width: 1000px) {
 
}

@media only screen and (max-width: 800px) { 

     .col-25, .col-50, .col-75, input[type=submit],[type=reset] {
        width: 50%;
        margin-top: 0;
      }
}


@media screen and (max-width: 600px) {

  .col-25, .col-50, .col-75, input[type=submit],[type=reset] {
      width: 100%;
      margin-top: 0;
    }

  }
